[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Need help with up2date errors...



I am hoping that someone on this list can help with the errors I am getting when running up2date.  I have tried "freshening" the up2date rpm but the errors persist.   

kernel 2.4.20-28.8
up2date-3.0.7.2-1

The output is below:

# up2date -fuv
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 573, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 55, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 86, in
__findPackagesToUpdate
    plist.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 85, in run
    self.addObsoletePackages(obsList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 109, in
addObsoletePackages
    for p in obsoletePackages:
TypeError: iteration over non-sequence


Any ideas????




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]